Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Class UserProfile

    java.lang.Object
      com.bea.wsrp.model.markup.UserProfile

All Implemented Interfaces
  IUserProfile

    public abstract class UserProfile

extends Object
implements IUserProfile

A simple user profile class that encapsulates a user name and an assoicated group name.

This abstract class is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this abstract class without notice. Extensions of this abstract class by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Constructor Summary
`protected` | `UserProfile()`
`` | `UserProfile(String userName, String groupName)` Creates a user profile with the supplied user name and group name.

Method Summary
`String` | `getGroupName()` Returns the associated group's name.
`String` | `getUserName()` Returns the user's name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.wsrp.model.markup.IUserProfile
`addUserProperty, getUserProperties`

Constructor Detail

### UserProfile

    protected UserProfile()

### UserProfile

    public UserProfile(String userName,
                       String groupName)

  Creates a user profile with the supplied user name and group name.

  Parameters
    `userName` - a user's name.
    `groupName` - an associated group's name.

Method Detail

### getUserName

    public String getUserName()

  Returns the user's name.

  Specified by:
    `getUserName` in interface `IUserProfile`
  Returns
    the user's name.

### getGroupName

    public String getGroupName()

  Returns the associated group's name.

  Specified by:
    `getGroupName` in interface `IUserProfile`
  Returns
    a group's name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.